/*
	Functionally the same as the Basic Chain NPC, just a lot more compact.
	Uses a Chain on a Tell List, defined in TellList.dm.
*/

#include "TellsLink.dm"

world
	New()
		..()
		// You could even set dialogue in the map editor.
		new/mob/npc/Multi_Liner{
			dialogue = list(
				"First...",
				"Second..",
				"Third.",
				"Last!",
			)
		}(locate(3, 4, 1))

// This type can easily be extended for other simple multi-liner NPCs.
// Just change the dialogue var.
mob/npc/Multi_Liner
	var
		list/dialogue

	DialogueStart(mob/player/player)
		return new/dialogue/chain(new/dialogue/chain/link/tells(dialogue))
